# Get a list of financial instruments of the identity (v3)

List financial instruments for an identity.

Endpoint: GET /v3/identities/{identity-id}/financial-instruments
Version: 2026.04
Security: Bearer

## Path parameters:

  - `identity-id` (string, required)
    Unique UUID string that maps to an identity
    Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b"

## Query parameters:

  - `version` (string)
    Version of the identity
    Example: "2"

  - `next-token` (string)
    The token to use for the next page of results. If provided, the API will return financial instruments after this token.
    Example: "eyJrZXkxIjoidmFsdWVfMSIsImtleTIiOiJ2YWx1ZTIifQ=="

  - `limit` (integer)
    The maximum number of financial instruments to return. Default is 10, maximum is 100.
    Example: 20

## Response 200 fields (application/json):

  - `data` (array)
    The list of the financial instruments that match the query parameters

  - `data.financialInstrumentId` (string, required)
    The unique identifier of the financial instrument.
    Example: "3fc74743-e7f3-414a-9fcf-eb8c1d52356a"

  - `data.financialInstrumentType` (string, required)
    The type of financial instrument or payment rail used for executing the transaction.
This determines the structure and validation of account details required for the payout.
    Example: "BR_PIX"

  - `data.currency` (string, required)
    The 3-letter ISO currency code of the financial instrument.
    Example: "MXN"

  - `data.label` (string)
    A user-defined label for the financial instrument.
    Example: "mexico bank account"

  - `data.country` (string)
    The 2-letter ISO 3166-1 alpha-2 country code of the financial instrument. For crypto wallet instruments (ETH_WALLET, XRPL_WALLET, TRON_WALLET, SOL_WALLET), this field returns ZZ, the ISO 3166-1 user-assigned code used when no country jurisdiction applies.
    Example: "MX"

  - `data.createdAt` (string)
    The time at which the financial instrument was created
    Example: "2023-11-02T18:26:00.000Z"

  - `data.updatedAt` (string)
    The time at which the financial instrument was last updated
    Example: "2023-11-03T18:26:00.000Z"

  - `nextToken` (string)
    The token to retrieve the next page of results

## Response 400 fields (application/json):

  - `status` (integer, required)
    The HTTP status code of the error
    Example: 404

  - `errors` (array, required)

  - `errors.code` (string, required)
    Unique identifier of an error
    Example: "SYS_100"

  - `errors.title` (string, required)
    Error message providing a brief summary of the error
    Example: "No identity exists for identityId"

  - `errors.type` (string, required)
    Identifies the problem type
    Example: "USER_VALIDATION_ERROR"

  - `errors.description` (string, required)
    Provides more technical information
    Example: "Unable to get identity. Identity ID should be in UUID format"

  - `errors.timestamp` (string, required)
    The time when this error occurred, specified in UTC.
    Example: "2023-11-02T18:26:00.000123Z"

  - `timestamp` (string)
    The timestamp of the error
    Example: "2023-11-02T18:26:00.000Z"


